Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.storedProcedures
Class Windowing

    java.lang.Object
      edu.udo.cs.miningmart.storedProcedures.Windowing

    public class Windowing

extends java.lang.Object

Version:
  $Id: Windowing.java,v 1.5 2006/09/27 15:00:02 euler Exp $
Author:
  Martin Scholz

Constructor Summary
`Windowing(DbConnector connector)`
`Windowing(int wndSize, int distance, DbConnector connector)`

Method Summary
`void` | `close()`
`java.lang.String[]` | `getNextWnd()`
`java.lang.String` | `getTimeFirstEntry()`
`java.lang.String` | `getTimeLastEntry()`
`boolean` | `open(java.lang.String sql)`
`void` | `setDistance(int distance)`
`void` | `setPrimaryKeyCol(int timeCol)`
`void` | `setSourceCol(int col)`
`void` | `setWndSize(int size)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Windowing

    public Windowing(DbConnector connector)
              throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

### Windowing

    public Windowing(int wndSize,
                     int distance,
                     DbConnector connector)
              throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

Method Detail

### setWndSize

    public void setWndSize(int size)

### setDistance

    public void setDistance(int distance)

### setSourceCol

    public void setSourceCol(int col)

### setPrimaryKeyCol

    public void setPrimaryKeyCol(int timeCol)

### open

    public boolean open(java.lang.String sql)

### close

    public void close()

### getNextWnd

    public java.lang.String[] getNextWnd()

### getTimeFirstEntry

    public java.lang.String getTimeFirstEntry()

### getTimeLastEntry

    public java.lang.String getTimeLastEntry()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005